GlueGen: com.jogamp.gluegen.cgram.GnuCEmitter Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
com.jogamp.gluegen.cgram.GnuCEmitter Class Reference
Inheritance diagram for com.jogamp.gluegen.cgram.GnuCEmitter:
Collaboration diagram for com.jogamp.gluegen.cgram.GnuCEmitter:

## Public Member Functions

| GnuCEmitter (PreprocessorInfoChannel preprocChannel)
void | reportError (RecognitionException ex)
void | reportError (NoViableAltException ex)
void | reportError (MismatchedTokenException ex)
void | reportError (String s)
void | reportWarning (String s)
void | match (AST t, BitSet b) throws MismatchedTokenException
void | traceIn (String rname, AST t)
void | traceOut (String rname, AST t)
| GnuCEmitter ()
final void | translationUnit (AST _t) throws RecognitionException
final void | externalList (AST _t) throws RecognitionException
final void | externalDef (AST _t) throws RecognitionException
final void | declaration (AST _t) throws RecognitionException
final void | functionDef (AST _t) throws RecognitionException
final void | asm_expr (AST _t) throws RecognitionException
final void | typelessDeclaration (AST _t) throws RecognitionException
final void | initDeclList (AST _t) throws RecognitionException
final void | expr (AST _t) throws RecognitionException
final void | declSpecifiers (AST _t) throws RecognitionException
final void | storageClassSpecifier (AST _t) throws RecognitionException
final void | typeQualifier (AST _t) throws RecognitionException
final void | typeSpecifier (AST _t) throws RecognitionException
final void | functionStorageClassSpecifier (AST _t) throws RecognitionException
final void | structSpecifier (AST _t) throws RecognitionException
final void | attributeDecl (AST _t) throws RecognitionException
final void | unionSpecifier (AST _t) throws RecognitionException
final void | enumSpecifier (AST _t) throws RecognitionException
final void | typedefName (AST _t) throws RecognitionException
final void | typeName (AST _t) throws RecognitionException
final void | structOrUnionBody (AST _t) throws RecognitionException
final void | structDeclarationList (AST _t) throws RecognitionException
final void | structDeclaration (AST _t) throws RecognitionException
final void | specifierQualifierList (AST _t) throws RecognitionException
final void | structDeclaratorList (AST _t) throws RecognitionException
final void | structDeclarator (AST _t) throws RecognitionException
final void | declarator (AST _t) throws RecognitionException
final void | enumList (AST _t) throws RecognitionException
final void | enumerator (AST _t) throws RecognitionException
final void | initDecl (AST _t) throws RecognitionException
final void | initializer (AST _t) throws RecognitionException
final void | pointerGroup (AST _t) throws RecognitionException
final void | idList (AST _t) throws RecognitionException
final void | initializerElementLabel (AST _t) throws RecognitionException
final void | lcurlyInitializer (AST _t) throws RecognitionException
final void | initializerList (AST _t) throws RecognitionException
final void | parameterTypeList (AST _t) throws RecognitionException
final void | parameterDeclaration (AST _t) throws RecognitionException
final void | nonemptyAbstractDeclarator (AST _t) throws RecognitionException
final void | functionDeclSpecifiers (AST _t) throws RecognitionException
final void | compoundStatement (AST _t) throws RecognitionException
final void | declarationList (AST _t) throws RecognitionException
final void | localLabelDecl (AST _t) throws RecognitionException
final void | statementList (AST _t) throws RecognitionException
final void | statement (AST _t) throws RecognitionException
final void | statementBody (AST _t) throws RecognitionException
final void | binaryExpr (AST _t) throws RecognitionException
final void | conditionalExpr (AST _t) throws RecognitionException
final void | castExpr (AST _t) throws RecognitionException
final void | unaryExpr (AST _t) throws RecognitionException
final void | postfixExpr (AST _t) throws RecognitionException
final void | primaryExpr (AST _t) throws RecognitionException
final void | emptyExpr (AST _t) throws RecognitionException
final void | compoundStatementExpr (AST _t) throws RecognitionException
final void | rangeExpr (AST _t) throws RecognitionException
final void | gnuAsmExpr (AST _t) throws RecognitionException
final void | strOptExprPair (AST _t) throws RecognitionException
final void | binaryOperator (AST _t) throws RecognitionException
final void | unaryOperator (AST _t) throws RecognitionException
final void | argExprList (AST _t) throws RecognitionException
final void | commaExpr (AST _t) throws RecognitionException
final void | assignExpr (AST _t) throws RecognitionException
final void | logicalOrExpr (AST _t) throws RecognitionException
final void | logicalAndExpr (AST _t) throws RecognitionException
final void | inclusiveOrExpr (AST _t) throws RecognitionException
final void | exclusiveOrExpr (AST _t) throws RecognitionException
final void | bitAndExpr (AST _t) throws RecognitionException
final void | equalityExpr (AST _t) throws RecognitionException
final void | relationalExpr (AST _t) throws RecognitionException
final void | shiftExpr (AST _t) throws RecognitionException
final void | additiveExpr (AST _t) throws RecognitionException
final void | multExpr (AST _t) throws RecognitionException

## Static Public Attributes

static final String[] | _tokenNames
static final BitSet | _tokenSet_0 = new BitSet(mk_tokenSet_0())
static final BitSet | _tokenSet_1 = new BitSet(mk_tokenSet_1())
static final BitSet | _tokenSet_2 = new BitSet(mk_tokenSet_2())
static final BitSet | _tokenSet_3 = new BitSet(mk_tokenSet_3())

## Protected Member Functions

void | match (AST t, int ttype) throws MismatchedTokenException
void | matchNot (AST t, int ttype) throws MismatchedTokenException
final void | stringConst (AST _t) throws RecognitionException
final void | charConst (AST _t) throws RecognitionException
final void | intConst (AST _t) throws RecognitionException
final void | floatConst (AST _t) throws RecognitionException

## Additional Inherited Members

Public Attributes inherited from com.jogamp.gluegen.cgram.GnuCEmitterTokenTypes
int | EOF = 1
int | NULL_TREE_LOOKAHEAD = 3
int | LITERAL_typedef = 4
int | LITERAL_asm = 5
int | LITERAL_volatile = 6
int | LCURLY = 7
int | RCURLY = 8
int | SEMI = 9
int | LITERAL_struct = 10
int | LITERAL_union = 11
int | LITERAL_enum = 12
int | LITERAL_auto = 13
int | LITERAL_register = 14
int | LITERAL_extern = 15
int | LITERAL_static = 16
int | LITERAL_const = 17
int | LITERAL_void = 18
int | LITERAL_char = 19
int | LITERAL_short = 20
int | LITERAL_int = 21
int | LITERAL_long = 22
int | LITERAL_float = 23
int | LITERAL_double = 24
int | LITERAL_signed = 25
int | LITERAL_unsigned = 26
int | LITERAL_wchar_t = 33
int | LITERAL_ptrdiff_t = 38
int | LITERAL_intptr_t = 39
int | LITERAL_size_t = 40
int | LITERAL_uintptr_t = 41
int | ID = 42
int | COMMA = 43
int | COLON = 44
int | ASSIGN = 45
int | STAR = 46
int | LPAREN = 47
int | RPAREN = 48
int | LBRACKET = 49
int | RBRACKET = 50
int | VARARGS = 51
int | LITERAL_while = 52
int | LITERAL_do = 53
int | LITERAL_for = 54
int | LITERAL_goto = 55
int | LITERAL_continue = 56
int | LITERAL_break = 57
int | LITERAL_return = 58
int | LITERAL_case = 59
int | LITERAL_default = 60
int | LITERAL_if = 61
int | LITERAL_else = 62
int | LITERAL_switch = 63
int | DIV_ASSIGN = 64
int | PLUS_ASSIGN = 65
int | MINUS_ASSIGN = 66
int | STAR_ASSIGN = 67
int | MOD_ASSIGN = 68
int | RSHIFT_ASSIGN = 69
int | LSHIFT_ASSIGN = 70
int | BAND_ASSIGN = 71
int | BOR_ASSIGN = 72
int | BXOR_ASSIGN = 73
int | QUESTION = 74
int | LOR = 75
int | LAND = 76
int | BOR = 77
int | BXOR = 78
int | BAND = 79
int | EQUAL = 80
int | NOT_EQUAL = 81
int | LT = 82
int | LTE = 83
int | GT = 84
int | GTE = 85
int | LSHIFT = 86
int | RSHIFT = 87
int | PLUS = 88
int | MINUS = 89
int | DIV = 90
int | MOD = 91
int | INC = 92
int | DEC = 93
int | LITERAL_sizeof = 94
int | BNOT = 95
int | LNOT = 96
int | PTR = 97
int | DOT = 98
int | CharLiteral = 99
int | StringLiteral = 100
int | IntOctalConst = 101
int | LongOctalConst = 102
int | UnsignedOctalConst = 103
int | IntIntConst = 104
int | LongIntConst = 105
int | UnsignedIntConst = 106
int | IntHexConst = 107
int | LongHexConst = 108
int | UnsignedHexConst = 109
int | FloatDoubleConst = 110
int | DoubleDoubleConst = 111
int | LongDoubleConst = 112
int | NTypedefName = 113
int | NInitDecl = 114
int | NDeclarator = 115
int | NStructDeclarator = 116
int | NDeclaration = 117
int | NCast = 118
int | NPointerGroup = 119
int | NExpressionGroup = 120
int | NFunctionCallArgs = 121
int | NNonemptyAbstractDeclarator = 122
int | NInitializer = 123
int | NStatementExpr = 124
int | NEmptyExpression = 125
int | NParameterTypeList = 126
int | NFunctionDef = 127
int | NCompoundStatement = 128
int | NParameterDeclaration = 129
int | NCommaExpr = 130
int | NUnaryExpr = 131
int | NLabel = 132
int | NPostfixExpr = 133
int | NRangeExpr = 134
int | NStringSeq = 135
int | NInitializerElementLabel = 136
int | NLcurlyInitializer = 137
int | NAsmAttribute = 138
int | NGnuAsmExpr = 139
int | NTypeMissing = 140
int | Vocabulary = 141
int | Whitespace = 142
int | Comment = 143
int | CPPComment = 144
int | NonWhitespace = 145
int | PREPROC_DIRECTIVE = 146
int | DefineExpr = 147
int | DefineExpr2 = 148
int | Space = 149
int | LineDirective = 150
int | BadStringLiteral = 151
int | Escape = 152
int | Digit = 153
int | LongSuffix = 154
int | UnsignedSuffix = 155
int | FloatSuffix = 156
int | Exponent = 157
int | Number = 158
int | LITERAL___label__ = 159
int | LITERAL_inline = 160
int | LITERAL_typeof = 161
int | LITERAL___complex = 162
int | LITERAL___attribute = 163
int | LITERAL___alignof = 164
int | LITERAL___real = 165
int | LITERAL___imag = 166

## Detailed Description

Definition at line 24 of file GnuCEmitter.java.

## Constructor & Destructor Documentation

## ◆ GnuCEmitter() [1/2]

com.jogamp.gluegen.cgram.GnuCEmitter.GnuCEmitter | ( | PreprocessorInfoChannel | preprocChannel | ) |

Definition at line 38 of file GnuCEmitter.java.

## ◆ GnuCEmitter() [2/2]

com.jogamp.gluegen.cgram.GnuCEmitter.GnuCEmitter | ( |  | ) |

Definition at line 327 of file GnuCEmitter.java.

## Member Function Documentation

## ◆ additiveExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.additiveExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 6283 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ argExprList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.argExprList | ( | AST | _t | ) | throws RecognitionException

Definition at line 5567 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ asm_expr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.asm_expr | ( | AST | _t | ) | throws RecognitionException

Definition at line 618 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ assignExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.assignExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 5786 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ attributeDecl()

final void com.jogamp.gluegen.cgram.GnuCEmitter.attributeDecl | ( | AST | _t | ) | throws RecognitionException

Definition at line 1450 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ binaryExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.binaryExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 4176 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ binaryOperator()

final void com.jogamp.gluegen.cgram.GnuCEmitter.binaryOperator | ( | AST | _t | ) | throws RecognitionException

Definition at line 5246 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ bitAndExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.bitAndExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 6072 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ castExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.castExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 4311 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ charConst()

final void com.jogamp.gluegen.cgram.GnuCEmitter.charConst | ( | AST | _t | ) | throws RecognitionException

protected

Definition at line 5603 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ commaExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.commaExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 5759 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ compoundStatement()

final void com.jogamp.gluegen.cgram.GnuCEmitter.compoundStatement | ( | AST | _t | ) | throws RecognitionException

Definition at line 3470 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ compoundStatementExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.compoundStatementExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 4846 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ conditionalExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.conditionalExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 4206 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declaration()

final void com.jogamp.gluegen.cgram.GnuCEmitter.declaration | ( | AST | _t | ) | throws RecognitionException

Definition at line 459 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declarationList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.declarationList | ( | AST | _t | ) | throws RecognitionException

Definition at line 3562 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declarator()

final void com.jogamp.gluegen.cgram.GnuCEmitter.declarator | ( | AST | _t | ) | throws RecognitionException

Definition at line 2120 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declSpecifiers()

final void com.jogamp.gluegen.cgram.GnuCEmitter.declSpecifiers | ( | AST | _t | ) | throws RecognitionException

Definition at line 888 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emptyExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.emptyExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 4826 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ enumerator()

final void com.jogamp.gluegen.cgram.GnuCEmitter.enumerator | ( | AST | _t | ) | throws RecognitionException

Definition at line 2396 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ enumList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.enumList | ( | AST | _t | ) | throws RecognitionException

Definition at line 2360 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ enumSpecifier()

final void com.jogamp.gluegen.cgram.GnuCEmitter.enumSpecifier | ( | AST | _t | ) | throws RecognitionException

Definition at line 1569 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ equalityExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.equalityExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 6099 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ exclusiveOrExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.exclusiveOrExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 6045 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ expr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.expr | ( | AST | _t | ) | throws RecognitionException

Definition at line 760 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ externalDef()

final void com.jogamp.gluegen.cgram.GnuCEmitter.externalDef | ( | AST | _t | ) | throws RecognitionException

Definition at line 400 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ externalList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.externalList | ( | AST | _t | ) | throws RecognitionException

Definition at line 367 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ floatConst()

final void com.jogamp.gluegen.cgram.GnuCEmitter.floatConst | ( | AST | _t | ) | throws RecognitionException

protected

Definition at line 5714 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ functionDeclSpecifiers()

final void com.jogamp.gluegen.cgram.GnuCEmitter.functionDeclSpecifiers | ( | AST | _t | ) | throws RecognitionException

Definition at line 3404 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ functionDef()

final void com.jogamp.gluegen.cgram.GnuCEmitter.functionDef | ( | AST | _t | ) | throws RecognitionException

Definition at line 524 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ functionStorageClassSpecifier()

final void com.jogamp.gluegen.cgram.GnuCEmitter.functionStorageClassSpecifier | ( | AST | _t | ) | throws RecognitionException

Definition at line 1364 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ gnuAsmExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.gnuAsmExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 4916 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ idList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.idList | ( | AST | _t | ) | throws RecognitionException

Definition at line 2693 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ inclusiveOrExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.inclusiveOrExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 6018 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ initDecl()

final void com.jogamp.gluegen.cgram.GnuCEmitter.initDecl | ( | AST | _t | ) | throws RecognitionException

Definition at line 2447 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ initDeclList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.initDeclList | ( | AST | _t | ) | throws RecognitionException

Definition at line 724 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ initializer()

final void com.jogamp.gluegen.cgram.GnuCEmitter.initializer | ( | AST | _t | ) | throws RecognitionException

Definition at line 2526 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ initializerElementLabel()

final void com.jogamp.gluegen.cgram.GnuCEmitter.initializerElementLabel | ( | AST | _t | ) | throws RecognitionException

Definition at line 2743 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ initializerList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.initializerList | ( | AST | _t | ) | throws RecognitionException

Definition at line 2891 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ intConst()

final void com.jogamp.gluegen.cgram.GnuCEmitter.intConst | ( | AST | _t | ) | throws RecognitionException

protected

Definition at line 5627 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ lcurlyInitializer()

final void com.jogamp.gluegen.cgram.GnuCEmitter.lcurlyInitializer | ( | AST | _t | ) | throws RecognitionException

Definition at line 2855 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ localLabelDecl()

final void com.jogamp.gluegen.cgram.GnuCEmitter.localLabelDecl | ( | AST | _t | ) | throws RecognitionException

Definition at line 3599 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ logicalAndExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.logicalAndExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 5991 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ logicalOrExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.logicalOrExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 5964 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ match() [1/2]

void com.jogamp.gluegen.cgram.GnuCEmitter.match | ( | AST | t,
|  | BitSet | b
| ) |  | throws MismatchedTokenException

Definition at line 306 of file GnuCEmitter.java.

## ◆ match() [2/2]

void com.jogamp.gluegen.cgram.GnuCEmitter.match | ( | AST | t,
|  | int | ttype
| ) |  | throws MismatchedTokenException

protected

Definition at line 302 of file GnuCEmitter.java.

## ◆ matchNot()

void com.jogamp.gluegen.cgram.GnuCEmitter.matchNot | ( | AST | t,
|  | int | ttype
| ) |  | throws MismatchedTokenException

protected

Definition at line 310 of file GnuCEmitter.java.

## ◆ multExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.multExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 6335 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ nonemptyAbstractDeclarator()

final void com.jogamp.gluegen.cgram.GnuCEmitter.nonemptyAbstractDeclarator | ( | AST | _t | ) | throws RecognitionException

Definition at line 3071 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ parameterDeclaration()

final void com.jogamp.gluegen.cgram.GnuCEmitter.parameterDeclaration | ( | AST | _t | ) | throws RecognitionException

Definition at line 3021 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ parameterTypeList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.parameterTypeList | ( | AST | _t | ) | throws RecognitionException

Definition at line 2927 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ pointerGroup()

final void com.jogamp.gluegen.cgram.GnuCEmitter.pointerGroup | ( | AST | _t | ) | throws RecognitionException

Definition at line 2635 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ postfixExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.postfixExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 4550 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ primaryExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.primaryExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 4749 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ rangeExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.rangeExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 4882 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ relationalExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.relationalExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 6151 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ reportError() [1/4]

void com.jogamp.gluegen.cgram.GnuCEmitter.reportError | ( | MismatchedTokenException | ex | ) |

Definition at line 289 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ reportError() [2/4]

void com.jogamp.gluegen.cgram.GnuCEmitter.reportError | ( | NoViableAltException | ex | ) |

Definition at line 284 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ reportError() [3/4]

void com.jogamp.gluegen.cgram.GnuCEmitter.reportError | ( | RecognitionException | ex | ) |

Definition at line 278 of file GnuCEmitter.java.

## ◆ reportError() [4/4]

void com.jogamp.gluegen.cgram.GnuCEmitter.reportError | ( | String | s | ) |

Definition at line 296 of file GnuCEmitter.java.

## ◆ reportWarning()

void com.jogamp.gluegen.cgram.GnuCEmitter.reportWarning | ( | String | s | ) |

Definition at line 299 of file GnuCEmitter.java.

## ◆ shiftExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.shiftExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 6231 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ specifierQualifierList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.specifierQualifierList | ( | AST | _t | ) | throws RecognitionException

Definition at line 1939 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ statement()

final void com.jogamp.gluegen.cgram.GnuCEmitter.statement | ( | AST | _t | ) | throws RecognitionException

Definition at line 3683 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ statementBody()

final void com.jogamp.gluegen.cgram.GnuCEmitter.statementBody | ( | AST | _t | ) | throws RecognitionException

Definition at line 3702 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ statementList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.statementList | ( | AST | _t | ) | throws RecognitionException

Definition at line 3650 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ storageClassSpecifier()

final void com.jogamp.gluegen.cgram.GnuCEmitter.storageClassSpecifier | ( | AST | _t | ) | throws RecognitionException

Definition at line 957 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ stringConst()

final void com.jogamp.gluegen.cgram.GnuCEmitter.stringConst | ( | AST | _t | ) | throws RecognitionException

protected

Definition at line 5148 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ strOptExprPair()

final void com.jogamp.gluegen.cgram.GnuCEmitter.strOptExprPair | ( | AST | _t | ) | throws RecognitionException

Definition at line 5192 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structDeclaration()

final void com.jogamp.gluegen.cgram.GnuCEmitter.structDeclaration | ( | AST | _t | ) | throws RecognitionException

Definition at line 1918 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structDeclarationList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.structDeclarationList | ( | AST | _t | ) | throws RecognitionException

Definition at line 1882 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structDeclarator()

final void com.jogamp.gluegen.cgram.GnuCEmitter.structDeclarator | ( | AST | _t | ) | throws RecognitionException

Definition at line 2033 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structDeclaratorList()

final void com.jogamp.gluegen.cgram.GnuCEmitter.structDeclaratorList | ( | AST | _t | ) | throws RecognitionException

Definition at line 1997 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structOrUnionBody()

final void com.jogamp.gluegen.cgram.GnuCEmitter.structOrUnionBody | ( | AST | _t | ) | throws RecognitionException

Definition at line 1722 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structSpecifier()

final void com.jogamp.gluegen.cgram.GnuCEmitter.structSpecifier | ( | AST | _t | ) | throws RecognitionException

Definition at line 1421 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ traceIn()

void com.jogamp.gluegen.cgram.GnuCEmitter.traceIn | ( | String | rname,
|  | AST | t
| ) |  |

Definition at line 314 of file GnuCEmitter.java.

## ◆ traceOut()

void com.jogamp.gluegen.cgram.GnuCEmitter.traceOut | ( | String | rname,
|  | AST | t
| ) |  |

Definition at line 319 of file GnuCEmitter.java.

## ◆ translationUnit()

final void com.jogamp.gluegen.cgram.GnuCEmitter.translationUnit | ( | AST | _t | ) | throws RecognitionException

Definition at line 331 of file GnuCEmitter.java.

Here is the call graph for this function:

## ◆ typedefName()

final void com.jogamp.gluegen.cgram.GnuCEmitter.typedefName | ( | AST | _t | ) | throws RecognitionException

Definition at line 1654 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ typelessDeclaration()

final void com.jogamp.gluegen.cgram.GnuCEmitter.typelessDeclaration | ( | AST | _t | ) | throws RecognitionException

Definition at line 692 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ typeName()

final void com.jogamp.gluegen.cgram.GnuCEmitter.typeName | ( | AST | _t | ) | throws RecognitionException

Definition at line 1684 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ typeQualifier()

final void com.jogamp.gluegen.cgram.GnuCEmitter.typeQualifier | ( | AST | _t | ) | throws RecognitionException

Definition at line 1022 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ typeSpecifier()

final void com.jogamp.gluegen.cgram.GnuCEmitter.typeSpecifier | ( | AST | _t | ) | throws RecognitionException

Definition at line 1068 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ unaryExpr()

final void com.jogamp.gluegen.cgram.GnuCEmitter.unaryExpr | ( | AST | _t | ) | throws RecognitionException

Definition at line 4349 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ unaryOperator()

final void com.jogamp.gluegen.cgram.GnuCEmitter.unaryOperator | ( | AST | _t | ) | throws RecognitionException

Definition at line 5480 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ unionSpecifier()

final void com.jogamp.gluegen.cgram.GnuCEmitter.unionSpecifier | ( | AST | _t | ) | throws RecognitionException

Definition at line 1540 of file GnuCEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ _tokenNames

final String [] com.jogamp.gluegen.cgram.GnuCEmitter._tokenNames

static

Definition at line 6402 of file GnuCEmitter.java.

## ◆ _tokenSet_0

final BitSet com.jogamp.gluegen.cgram.GnuCEmitter._tokenSet_0 = new BitSet(mk_tokenSet_0())

static

Definition at line 6576 of file GnuCEmitter.java.

## ◆ _tokenSet_1

final BitSet com.jogamp.gluegen.cgram.GnuCEmitter._tokenSet_1 = new BitSet(mk_tokenSet_1())

static

Definition at line 6581 of file GnuCEmitter.java.

## ◆ _tokenSet_2

final BitSet com.jogamp.gluegen.cgram.GnuCEmitter._tokenSet_2 = new BitSet(mk_tokenSet_2())

static

Definition at line 6586 of file GnuCEmitter.java.

## ◆ _tokenSet_3

final BitSet com.jogamp.gluegen.cgram.GnuCEmitter._tokenSet_3 = new BitSet(mk_tokenSet_3())

static

Definition at line 6591 of file GnuCEmitter.java.

The documentation for this class was generated from the following file:

- build/gensrc/java/com/jogamp/gluegen/cgram/GnuCEmitter.java